/* Import Fonts */

@import url('https://fonts.googleapis.com/css?family=Prompt:100,300,400,500,600,700,800,900&subset=thai');
@import url('../fonts/helvethaica/stylesheet.css');

/* Bootstrap Grid System Breakpoint: xs<576, sm>=576, md>=768, lg>=992, xl>=1200 */


/* Global */

body {
    font-family: 'DB HelvethaicaMon X 57 Cond';
    font-size: 20px;
    line-height: 20px;
    height: 100%;
    min-height: 100%;
    position: relative;
    padding: 0 !important
    
}


* {
    -o-transition: .6s;
    -ms-transition: .6s;
    -moz-transition: .6s;
    -webkit-transition: .6s;
    transition: .6s;
}

.transition-none {
    -o-transition: none;
    -ms-transition: none;
    -moz-transition: none;
    -webkit-transition: none;
    transition: none;
}

.transition-slow {
    -o-transition: 1.0s;
    -ms-transition: 1.0s;
    -moz-transition: 1.0s;
    -webkit-transition: 1.0s;
    transition: 1.0s;
}

input {
    outline: none;
}

input::-webkit-search-decoration,
input::-webkit-search-cancel-button {
    display: none;
}

.shake:hover {
    animation: shake 0.82s cubic-bezier(.36, .07, .19, .97) both;
    transform: translate3d(0, 0, 0);
    backface-visibility: hidden;
    perspective: 1000px;
}
.shake.active {
    color: #FFF;
    background: #E17D2A;
    border-color: #E17D2A;
}


.btn-more {
    display: inline-block;
    color: #FFF;
    background: #E17D2A;
    padding: 6px 20px 6px 20px;
    text-decoration: none;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    border-radius: 20px;
    margin-right: 5px;
}

.btn-more:hover {
    background: #44C290;
    color: #FFF;
    text-decoration: none;
}

@keyframes shake {
    10%,
    90% {
        transform: translate3d(-1px, 0, 0);
    }
    20%,
    80% {
        transform: translate3d(2px, 0, 0);
    }
    30%,
    50%,
    70% {
        transform: translate3d(-4px, 0, 0);
    }
    40%,
    60% {
        transform: translate3d(4px, 0, 0);
    }
}


#go2top {
    position: fixed;
    bottom: 30px;
    right: 30px;
    font-size: 20px;
    line-height: 16px;
    color: #FFF;
    z-index: 99;
    display: none;
    opacity: 0.5;
    padding: 9px;
    background: #999;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

/* End Global */


/* Overide Bootstrap */

.bg-light {
    background-color: transparent !important;
}

.dropdown .dropdown-menu {
    -webkit-transition: all 0.6s;
    -moz-transition: all 0.6s;
    -ms-transition: all 0.6s;
    -o-transition: all 0.6s;
    transition: all 0.6s;
    max-height: 0;
    display: block;
    overflow: hidden;
    opacity: 0;
}

.dropdown:hover .dropdown-menu {
    /* max-height: 250px; */
    max-height: 500px;  /* edit juntima 26-12-62 */
    opacity: 1;
}

.dropdown-toggle::after {
    display: none;
}

.dropdown-menu {
    min-width: 10rem;
    padding: 0;
    margin: .125rem 0 0;
    font-size: 1rem;
    color: #FFF;
    text-align: left;
    list-style: none;
    /* background-color: #767676; */
    background-color: none;
    background-clip: padding-box;
    border: none;
    border-radius: 0;
}

.dropdown-item {
    font-size: 22px;
    line-height: 22px;
    display: block;
    width: 100%;
    padding: 15px 30px;
    margin-bottom: 1px;
    clear: both;
    font-weight: 400;
    text-align: inherit;
    white-space: nowrap;
    /* background-color: transparent; */
    border: 0;
}

.dropdown-item:visited,
.dropdown-item:link {
    color: #FFF;
    /* background-color: #767676; */
    background-color: #888 ;
}

.dropdown-item:hover,
.dropdown-item:active {
    color: #FFF;
    /* background: #a8a8a8; */
    /* background: #2d3691; */
    background: #12674a;
}

.navbar-toggler {
    padding: 10px 12px;
    font-size: 1.25rem;
    line-height: 1;
    background-color: #12674a;
    border: none;
}

.navbar-toggler i {
    color: #FFF;
}


/* End Overide Bootstrap */


/* Overide Swiper */

.swiper-pagination-bullet {
    width: 10px;
    height: 10px;
    display: inline-block;
    border-radius: 100%;
    background: #FFF;
    opacity: 0.7;
    border: 1px solid #AAA;
    outline: none;
}

 .swiper-pagination-bullet-active {
    opacity: 1;
    background: #49bf92;
}

.swiper-container {
    width: 100%;
    height: 100%;
}

#hero-banner .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}


/* End overide Swiper */


/* Header */

#header {
    display: flex;
    flex-direction: column-reverse;
    position: relative;
    background-color: #fff;
}


#header-logo {
    padding: 15px 10px;
    background-color: #fff;
}

#header>nav {
    padding-top: 0px;
    margin-top: -10px;
}

#header .navbar-nav>li>a {
    font-size: 1.5rem;
    font-weight: 600;
    letter-spacing: 1px;
}


#header .nav-item {
    position: relative;
    margin: 0 10px 0 0;
}

#header .nav-item:after {
    content: '';
    display: block;
    position: absolute;
    top: 10px;
    right: -7px;
    width: 7px;
    height: 20px;
    border-right: 1px solid #999;
}

#header .nav-item:last-child:after {
    display: none;
}

.language {
    font-size: 12px;
    color: #666;
    display: table;
    width: 100%;
    padding-right: 30px;
}

.language a {
    text-decoration: none;
    color: #666;
    font-size: 16px;
    line-height: 16px;
    text-transform: uppercase;
}

.language a.active {
    font-weight: 600;
    color: #333;
}

.language a:hover {
    color: #333;
}

.language ul {
    list-style: none;
    margin: 0;
    padding: 0;
    float: right;
}

.language ul li {
    display: inline-block;
    position: relative;
    margin: 0 5px 0 0;
}

.language li:after {
    content: '';
    display: block;
    position: absolute;
    top: 4px;
    right: -5px;
    width: 7px;
    height: 10px;
    border-right: 1px solid #999;
}

.language li:last-child:after {
    display: none;
}

/* แนะนำสถาบันเทคโนโลยีไทย-ญี่ปุ่น */

#apply-now {
    background: #ededed;
    padding: 8px 0;
    text-align: right;
}

#apply-now a {
    text-decoration: none;
    display: inline-block;
}

#apply-now>div>div:nth-child(1),
#apply-now>div>div:nth-child(2),
#apply-now>div>div:nth-child(3),
#apply-now>div>div:nth-child(4) {
    display: inline-block;
    text-align: center;
}

#apply-now>div>div:nth-child(1)>a {
    color: #12674A;
    font-size: 28px;
    line-height: 28px;
    font-weight: 600;
    position: relative;
}

#apply-now>div>div:nth-child(1)>a::before {
    font-family: FontAwesome;
    color: #12674A;
    content: "\f095";
    position: absolute;
    left: -33px;
    font-size: 30px;
}

#apply-now>div>div:nth-child(2)>a {   /* facebook */
    font-size: 28px;
    line-height: 28px;
    position: relative;
    margin-right: 8px;
    margin-left: 8px;
    top: 5px;
}

#apply-now>div>div:nth-child(3)>a {  /* line */
    color: #00b900;
    font-size: 28px;
    line-height: 28px;
    position: relative;
    margin-right: 8px;
    top: 5px;
}

#apply-now>div>div:nth-child(4)>a {
    background: #E17D2A;
    color: #fff;
    font-size: 26px;
    line-height: 26px;
    letter-spacing: 2px;
    padding: 10px 30px;
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
}

#apply-now>div>div:nth-child(4)>a:hover {
    background:#49bf92;
    color: #FFF;
}


/* End hero banner */


/* Footer */

#footer {
    margin: 15px 0 0 0;
    padding: 30px 0 0 0;
    background: #12674A;
    color: #FFF;
}

#footer a:link,
#footer a:visited {
    color: #FFF;
    text-decoration: none;
}

#footer a:active,
#footer a:hover {
    color: #E17D2A;
}

#footer h1 {
    font-size: 24px;
    line-height: 24px;
    border-bottom: 2px solid #FFF;
    padding-bottom: 10px;
    margin-bottom: 10px;
    width: 90%;
}

#footer ul {
    margin: 0;
    padding: 0;
    list-style: none;
    width: 90%;
}

#footer ul li {
    font-size: 18px;
    line-height: 30px;
    letter-spacing: 0px;
    font-weight: 100;
}

#footer .footer-download,
#footer,
.footer-faculty {
    margin-top: 00px;  /* 50px*/
} 

.footer-map iframe {
    width: 90%;
    height: 300px;
    margin-top: 10px;
}

.footer-copyright {
    margin: 30px 0 0 0;
    padding: 10px;
    background-color: #24292f;
    text-align: center;
    font-size: 16px;
    line-height: 16px;
}

.footer-fa {
    position: relative;
    padding-left: 35px;
    margin-bottom: 20px;
}

.footer-fa::before {
    font-family: FontAwesome;
    color: #FFF;
    position: absolute;
}

.footer-address::before {
    content: "\f041";
    top: 2px;
    left: 0px;
    font-size: 30px;
}

.footer-tel::before {
    content: "\f095";
    top: 2px;
    left: 0px;
    font-size: 28px;
}

.footer-web::before {  
    content: "\f0ac";
    top: 2px;
    left: 0px;
    font-size: 28px;
}


.footer-email::before {
    content: "\f0e0";
    top: 0px;
    left: 0px;
    font-size: 22px;
}

.footer-direct::before {
    content: "\f007";
    top: 2px;
    left: 0px;
    font-size: 24px;
}

.footer-social {
    margin: 30px auto 0 0;
    text-align: center;
    width: 90%;
}

/* .footer-social>a {
    display: inline-block;
    width: 33px;
    height: 33px;
    margin: 0 5px;
    border: 0px solid red;
    text-indent: -999999px;
    background-image: url(../img/social-icons-sprite.png);
    background-position-y: -1px;
    border-radius: 50%;
    -o-transition: none;
    -ms-transition: none;
    -moz-transition: none;
    -webkit-transition: none;
    transition: none;
} */

/* .footer-social>a:hover {
    background-position-y: 34px;
}

.footer-social-twitter {
    background-position-x: 131px
}

.footer-social-facebook {
    background-position-x: 99px
}

.footer-social-google {
    background-position-x: 66px
}

.footer-social-youtube {
    background-position-x: 33px
} */


/* End footer */


/* Content body */

#content-wrapper {
    padding: 0;
}


/* End content body */


/* Home */

.home-news-item div ,.home-show-case-item div ,.home-exchange-program-item div {
    background-position: center;
    background-size: cover;     
}

.home-news-item:hover div,
.home-news-item:focus div,
.home-show-case-item:hover div,
.home-show-case-item:focus div,
.home-exchange-program-item:hover div,
.home-exchange-program-item:focus div{ 
    opacity: 0.7 ;
    filter: alpha(opacity=20) ;
}
.home-news-item h1 ,.home-show-case-item h1,.home-exchange-program-item h1{          /* admission nav right*/
    background-color:#FFF;
    padding: 0px 5px;   
}

.home-news-item h1,
.home-news-item a ,
.home-show-case-item h1,
.home-show-case-item a ,
.home-exchange-program-item h1,
.home-exchange-program-item a,
.poston{
    padding: 0px; 
    color: #767676;
    text-decoration: none;
    font-size: 1.1rem;
    font-weight: 600;
}


.home-news-item a ,.home-show-case-item a,.home-exchange-program-item a{
    text-decoration: none;
    color: #FFF;
}

#home-news .swiper-button-prev,
#home-news .swiper-container-rtl .swiper-button-next {
    background-image: none;
    left: 0;
    right: auto;
    background: rgba(255, 255, 255, 0.9);
    height: 40px;
    width: 30px;
    outline: none;
    padding: 10px 10px 15px 5px;
    color: #555;
    opacity: 0.7;
}

#home-news .swiper-button-next,
.swiper-container-rtl .swiper-button-prev {
    background-image: none;
    left: auto;
    right: 0;
    background: rgba(255, 255, 255, 0.9);
    height: 40px;
    width: 30px;
    outline: none;
    padding: 10px 5px 15px 10px;
    color: #555
}

.swiper-slide img {
    background: #f0f0f0;
}

#home-news a {
    margin-top: 15px;
}

#home-col-course {
    padding: 0 0 0 15px;
}

/* #fac-nav-pec h1 {
    background-color:#AAA;
    padding: 20px 15px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
#fac-nav-pec h2{
    color: #333;
    text-decoration: none;
    font-size: 20px;
    line-height: 20px;
    font-weight: 600;
    text-align: center;
}

#fac-nav-pec h1,
#fac-nav-pec a {
    color: #FFF;
    text-decoration: none;
    font-size: 22px;
    line-height: 22px;
    font-weight: 600;
    text-align: center;
}
 */


#home-channel .history-item a {
    display: block;
    position: relative;
    margin-top: 10px;

}
.history-item a:hover {
   text-decoration: none;
  
}


.fac-item ,.fac-item a {
    display: block;
    position: relative;
    margin-top: 20px;
    margin-bottom: 20px;
    color:#fff;
    text-decoration: none;

}

/*
shake เคลื่อนไหว
*/

.shake:hover {
    animation: shake 0.82s cubic-bezier(.36, .07, .19, .97) both;
    transform: translate3d(0, 0, 0);
    backface-visibility: hidden;
    perspective: 1000px;
}

@keyframes shake {
    10%,
    90% {
        transform: translate3d(-1px, 0, 0);
    }
    20%,
    80% {
        transform: translate3d(2px, 0, 0);
    }
    30%,
    50%,
    70% {
        transform: translate3d(-4px, 0, 0);
    }
    40%,
    60% {
        transform: translate3d(4px, 0, 0);
    }
}



  
/* End Home */